//////////////////////////////////////////////////////////////
// evaluates data from drum PAD
//
// (c)Martin Hug 2012.
/////////////////////////////////////////////////////////////

#include "system.h"
#include <PIC18f4420.h>
#include "global.h";

unsigned char del_0 = 0, del_1 = 0, del_On_0 = 7, del_On_1 = 3;
short store_data_0 = 0, store_data_1 = 0, store_data_aux_0 = 0, store_data_aux_1 = 0, Vel_PAD;

//unsigned char pointer = 0;	// for DEBUG
//short debug[60];

short evaluate_pad(short data_in, char channel){


if (!channel){
	
	Vel_PAD = data_in;
		
		del_0++;

			if (del_0 >3){														// after 2nd scan the data is used.
 		 		store_data_0 = store_data_0 + Vel_PAD;	// summing results.
				}
 
		  	if (del_0 == del_On_0){ 			 					// set to 2, short delay to adjust the envelpoe knee at the beginning.
		 		store_data_0 = store_data_0/4;					// divide number with amount of measured adc results.
	  		del_0 = 0;
				pad_flag_0 = true;
							
				store_data_aux_0 = store_data_0;
				store_data_0 = 0x00;

				return store_data_aux_0;								// returns evaluated data.
			}
		
}

if (channel){
	Vel_PAD = data_in;
		store_data_aux_1 = 0;	
		del_1 = del_1 + 1;

			if (del_1 >1){														// after 2nd scan the data is used.
 		 		store_data_1 = store_data_1 + Vel_PAD;	// summing results.
				}
 
		  	if (del_1 == del_On_1){ 			 					// set to 20, short delay to adjust the envelpoe knee at the beginning.
		 		store_data_1 = store_data_1/2;					// devide number with amount of measured adc results.
	  		del_1 = 0;
				pad_flag_1 = true;	

				store_data_aux_1 = store_data_1;
				store_data_1 = 0x00;

				return store_data_aux_1;									// returns evaluated data.
			}
	}
	
return 0x00;
}
//                                 						
// DEBUG with array
/*
if (!channel){


		debug[pointer] = data_in;
		pointer++;
		if (pointer == 60){
		pointer = 0;
		del_0 = 0;
 	 }
}*/